Множественные уязвимости в ядре Linux

Дата публикации:
20.11.2009
Дата изменения:
07.12.2009
Всего просмотров:
2406
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Отказ в обслуживании
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux Kernel 2.6.x
Уязвимые версии: Linux kernel 2.6.31.5, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют локальному пользователю вызвать отказ в обслуживании и повысить свои привилегии на системе.

1. Уязвимость существует из-за ошибки использования некорректного указателя в функции fuse_direct_io() в файле fs/fuse/file.c. Локальный пользователь может аварийно завершить работу системы.

2. Уязвимость существует из-за ошибки индексирования массива в функции gdth_read_event() в файле drivers/scsi/gdth.c. Локальный пользователь может с помощью специально сформированного IOCTL запроса повысить свои привилегии на системе.

URL производителя: www.kernel.org

Решение: Установите последнюю версию 2.6.32 с сайта производителя.

Журнал изменений:

07.12.2009
Изменена секция «Решение».

Ссылки: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=f60311d5f7670d9539b424e4ed8b5c0872fc9e83
https://bugzilla.redhat.com/show_bug.cgi?id=538734
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=690e744869f3262855b83b4fb59199cf142765b0

или введите имя

CAPTCHA